# Get host URL settings

This endpoint retrieves specific host URL settings for a point of sale device by URL type.

Endpoint: GET /point-of-sales/{pointOfSaleId}/{urlType}/host-url-settings
Version: 1.0.0

## Path parameters:

  - `pointOfSaleId` (integer, required)
    The unique system identifier for the point of sale device.
    Example: 123465789

  - `urlType` (string, required)
    The type of URL (e.g., Transaction, StoreAndForward, InStoreNotification).
    Enum: "Transaction", "StoreAndForward", "InStoreNotification", "DCC"

## Response 200 fields (application/json):

  - `url` (string,null)
    Example: "https://transaction.example.com"

  - `urlType` (string)
    The type of URL.
    Enum: same as `urlType` (4 values)


